apiVersion: apps/v1
kind: Deployment
metadata:
  name: webuiservice
spec:
  selector:
    matchLabels:
      app: webuiservice
  template:
    metadata:
      labels:
        app: webuiservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/webui:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 8004 # TODO: define the real port
        env:
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          httpGet:
            path: /healthz/ready
            port: 8004
          initialDelaySeconds: 5
          timeoutSeconds: 1
        livenessProbe:
          httpGet:
            path: /healthz/live
            port: 8004
          initialDelaySeconds: 5
          timeoutSeconds: 1
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: webuiservice
spec:
  type: ClusterIP
  selector:
    app: webuiservice
  ports:
  - name: http
    port: 8004
    targetPort: 8004
---
# apiVersion: v1
# kind: Service
# metadata:
#   name: webuiservice-public
#   labels:
#     app: webuiservice
# spec:
#   type: NodePort
#   selector:
#     app: webuiservice
#   ports:
#   - name: http
#     protocol: TCP
#     port: 8004
#     targetPort: 8004
---
